UMOUNT(8)

NAZWA
umount - odmontowuje systemy plików

SKŁADNIA
umount [-hV]

umount -a [-dflnrv] [-t typ-systemu-plików] [-O opcje]
umount [-dflnrv] {katalog|urządzenie}

OPIS
Polecenie umount odłącza wymienione systemy plików z hierarchii plików. System plików jest określany przez podanie katalogu, w którym został zamontowany. Podanie urządzenia, na którym system plików istnieje, może również działać, jednakże jest przestarzałe, głównie dlatego, że zawiedzie, gdy urządzenie jest zamontowane w więcej niż jednym katalogu. Proszę zauważyć, że system plików nie może być odmontowany, gdy jest "busy" (zajęty) - na przykład, gdy są na nim otwarte pliki, gdy jakiś proces ma tam swój katalog roboczy albo gdy w użytku jest znajdujący się na nim plik wymiany. Przeszkadzającym procesem może być nawet sam umount - otwiera on libc, zaś libc z kolei może otwierać na przykład pliki ustawień locale. Leniwe odmontowywanie ("lazy umount") rozwiązuje ten problem. Polecenie umount przyjmuje następujące opcje:

-V  Wypisuje wersję i wychodzi.

-h  Wypisuje informację o użyciu i wychodzi.

-v  Tryb szczegółowy.

-n  Odmontowuje bez zapisywania w /etc/mtab.

-r  Jeśli odmontowanie się nie powiedzie, próbuje zamontować ponownie w trybie tylko do odczytu.

-d  Jeżeli odmontowane urzdzenie było urządzeniem pętli zwrotnej ("loop device"), to je zwalnia.

-i  Nie wywołuje programu pomocniczego /sbin/umount.<system-plików>, nawet jeśli istnieje. Domyślnie jest on wywoływany, jeśli istnieje.

-a  Odmontowuje wszystkie systemy plików opisane w /etc/mtab. (W umount w wersji 2.7 i późniejszych nie jest odłączany system plików proc).

-t typ-systemu-plików
    Wskazuje, że akcje powinny być dokonywane tylko na systemach plików określonego typu. Można podać więcej niż jeden typ, używając listy oddzielanej przecinkami. Lista systemów plików może być poprzedzona słowem no, aby wskazać, że akcja wymienionych systemów plików nie dotyczy.

-O opcje
    Określa, że akcje powinny być wykonane tylko na systemach plików z odpowiednimi opcjami wymienionymi w /etc/fstab. Można podać więcej niż jedną opcję, używając listy oddzielanej przecinkami. Lista opcji może być poprzedzona słowem no, aby podać opcje, dla których nie powinna być podejmowana żadna akcja.

-f  Wymusza odmontowanie (w przypadku nieosiągalnego systemu NFS). (Wymaga jądra 2.1.116 lub późniejszego).

-l  Leniwe odmontowanie ("lazy umount"). Od razu odłącza system plików od hierarchii systemu plików i czyści wszystkie referencje do tego systemu plików, gdy tylko przestanie być zajęty ("busy"). (Wymaga jądra 2.4.11 lub późniejszego).

--no-canonicalize
    Nie normalizuje ścieżek. Więcej szczegółów na temat tej opcji można uzyskać zapoznając się ze stroną podręcznika mount(8).

--fake
    Powoduje wykonywanie wszystkiego poza faktycznym wywołaniem funkcji systemowej. Jeśli nie jest to oczywiste: "udaje" to odmontowanie systemu plików. Opcja może być używana do usuwania wpisów z /etc/mtab dla urządzeń, które zamontowano wcześniej z opcją -n.

URZĄDZENIE PĘTLI ZWROTNEJ - LOOP DEVICE
Polecenie umount może zwolnić związane z montowaniem urządzenie pętli zwrotnej. Dzieje się tak, gdy napotkana zostanie opcja "loop=..." w pliku /etc/mtab, lub gdy podano opcję -d. Pozostałe urządzenia loop mogą być zwolnione przez "losetup -d", patrz losetup(8).

UWAGI
Składnia zewnętrznych programów pomocniczych umount jest następująca:
/sbin/umount.<przyrostek> {katalog|urządzenie} [-nlfnv] [-t typ.podtyp]
gdzie <przyrostek> jest typem systemu plików lub wartością z opcji mtab "uhelper=" lub "helper=". Opcja -t jest używana do systemów plików, które obsługują podtypy (np. /sbin/mount.fuse -t fuse.sshfs). Gdy użytkownik niebędący rootem chce odmontować punkt montowania, którego niezdefiniowano w /etc/fstab (np. urządzenie zamontowane przez udisk), można użyć opcji uhelper= (nieuprzywilejowany program pomocniczy umount). Opcja montowania helper= przekierowuje wszystkie żądania umount do /sbin/umount.<helper> niezależnie od UID.

PLIKI
/etc/mtab tabela zamontowanych systemów plików

ZOBACZ TAKŻE
umount(2), mount(8), losetup(8).

HISTORIA
Polecenie umount pojawiło się w wersji 6 AT&T UNIX.

DOSTĘPNOŚĆ
Polecenie umount jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda (PTM) <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.